Bug 738230 - paprefs needs rebuild against pulseaudio-0.9.23
Summary: paprefs needs rebuild against pulseaudio-0.9.23
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: paprefs
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 761436 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 11:21 UTC by Jan Willies
Modified: 2012-11-02 14:35 UTC (History)
6 users (show)

Fixed In Version: paprefs-0.9.9-9.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-12 21:53:55 UTC


Attachments (Terms of Use)

Description Jan Willies 2011-09-14 11:21:57 UTC
Description of problem:paprefs wants to install pulseaudio-0.9.22 modules, although 0.9.23 is installed.


Version-Release number of selected component (if applicable):paprefs-0.9.9-8.fc15.x86_64


How reproducible:always


Steps to Reproduce:
1.launch paprefs
2.try to install airtunes or zeroconf-discover via the gui
3.
  
Actual results:it wants pulseaudio 0.9.22 stuff


Expected results:it should use pulseaudio 0.9.23 stuff, which is already installed (zeroconf-discover, etc)


Additional info:

Comment 1 Timo Sorvoja 2011-10-17 15:27:55 UTC
I confirm this. Paprefs gui points to 0.9.22 modules (not available in repos. And therefore pulseaudio downgrade as temporary fix also not possible) and running of pulseaudio (net)server fails. This needs to be fixed.

-Br, Timo

Comment 2 Timo Sorvoja 2011-10-20 02:42:50 UTC
Temporary fix:

1. "yum install pulseaudio-module-zeroconf -y"
2. "cd /usr/lib"
3. "ln -s pulse-0.9.23 pulse-0.9.22"
4. Restart paprefs if already started. Then try to enable airtune etc...

If fails because of missing modules then check what files provides needed modules by hand (e.g. "yum whatprovides module-zeroconf-publish.so") and install the with yum. This solution works for me.

-TimoS

Comment 3 Fedora Update System 2011-11-16 13:45:30 UTC
paprefs-0.9.9-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/paprefs-0.9.9-9.fc16

Comment 4 Fedora Update System 2011-11-17 23:26:17 UTC
Package paprefs-0.9.9-9.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing paprefs-0.9.9-9.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15996/paprefs-0.9.9-9.fc16
then log in and leave karma (feedback).

Comment 5 Rudd-O DragonFear 2011-11-28 21:50:00 UTC
Why is it so difficult to make the package dynamically look up the file based on provides and requires rather than a hardcoded path?  That way at least it won't need to be rebuilt EVERY TIME (and it would eliminate another QA pain point).

paprefs knows (or at least in principle, can know) the version of pulseaudio it's connecting to.  let paprefs ask it (just like paman does), and use it to compose the path or whatever.  That oughta work.

Comment 6 Fedora Update System 2011-12-12 21:53:55 UTC
paprefs-0.9.9-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Michel Alexandre Salim 2012-02-05 12:58:24 UTC
*** Bug 761436 has been marked as a duplicate of this bug. ***

Comment 8 Paolo Patruno 2012-11-02 14:35:43 UTC
I try to use paprefs on a Fedora 16 updated machine and all the network buttons are disactivated. Rebuild the package do not solve.


Note You need to log in before you can comment on or make changes to this bug.